Get a service lookup property

get

/api/boss/data/objects/ora/cxServiceCore/common/v1/serviceLookupProperties/{serviceLookupProperties_id}

Request

Path Parameters
  • This path parameter maps to a composite key that consists of the following fields defined in the Service Lookup Properties REST resource:
    1. propertyLookupType: The lookup type for the lookup property.
    2. propertyLookupCode: The lookup code for the lookup property.
    3. propertyName: The name of the property for the lookup.
    To generate the path parameter value, first encode the field values, then concatenate them using a comma and encode the resulting string.
Query Parameters
  • Effective date value in the ISO 8601 date format 'YYYY-MM-DD'. This date is required by business logic to search for effective-dated business objects.
  • Restricts the resource fields. Only the specified fields and mandatory system fields are returned.

There's no request body for this operation.

Back to Top

Response

Default Response

A single item response
Body ()
Root Schema : oraCxServiceCoreCommon.ServiceLookupProperty_item-response
Match All
Show Source
Nested Schema : oraCxServiceCoreCommon.ServiceLookupProperty_item
Match All
Service lookup property includes lookup properties for service channels. It contains information regarding various lookup properties for service channels.
Show Source
Nested Schema : oraCxServiceCoreCommon.ServiceLookupProperty_item-fields
Type: object
Show Source
Nested Schema : Service Lookup Property
Type: object
Title: Service Lookup Property
Service lookup property includes lookup properties for service channels. It contains information regarding various lookup properties for service channels.
Nested Schema : __busObj_context
Type: object
Show Source
Nested Schema : lookupCode
Match All
The lookup code for the lookup property.
Show Source
Nested Schema : lookupType
Match All
The lookup type for the lookup property.
Show Source
Nested Schema : oraCommonAppsInfraObjects.StandardLookupCode_item-fields
Match All
Show Source
Nested Schema : oraCommonAppsInfraObjects.StandardLookupCode_abstract-item
Match All
Show Source
Nested Schema : oraCommonAppsInfraObjects.StandardLookupCode_abstract-item-allOf[0]
Type: object
Show Source
Nested Schema : oraCommonAppsInfraObjects.LookupCode_abstract-item
Type: object
Show Source
Nested Schema : oraCommonAppsInfraObjects.StandardLookupCode_item-fields-allOf[1]
Type: object
Show Source
Nested Schema : Lookup Code
Type: object
Title: Lookup Code
The lookup code for the lookup property.
Nested Schema : owningType
Match All
The standard lookup types list of values resource is used to query the list of standard lookup types.
Show Source
Nested Schema : oraCommonAppsInfraObjects.StandardLookupType_item-fields
Match All
Show Source
Nested Schema : oraCommonAppsInfraObjects.LookupType_abstract-item
Type: object
Show Source
Nested Schema : oraCommonAppsInfraObjects.StandardLookupType_item-fields-allOf[1]
Type: object
Show Source
Nested Schema : Standard Lookup Type
Type: object
Title: Standard Lookup Type
The standard lookup types list of values resource is used to query the list of standard lookup types.
Nested Schema : configurationLevel
Match All
Show Source
Nested Schema : restAccessSecured
Match All
Show Source
  • Read Only: true
  • Allowed Values: [ "ANON", "AUTH", "SECURE" ]
Nested Schema : taxonomyNode
Match All
The taxonomy node list of values resource is used to query the taxonomy nodes.
Show Source
Nested Schema : oraCommonAppsInfraObjects.TaxonomyNode_item-fields
Match All
Show Source
Nested Schema : oraCommonAppsInfraObjects.TaxonomyNode_abstract-item
Type: object
Show Source
Nested Schema : oraCommonAppsInfraObjects.TaxonomyNode_item-fields-allOf[1]
Type: object
Show Source
Nested Schema : Taxonomy Node
Type: object
Title: Taxonomy Node
The taxonomy node list of values resource is used to query the taxonomy nodes.
Nested Schema : hierarchySource
Match All
The taxonomy hierarchy represents relationships between taxonomy nodes.
Show Source
Nested Schema : moduleType
Match All
Show Source
  • Read Only: true
  • Allowed Values: [ "APPLICATION", "LBA", "PAGE", "PRODUCT_LINE", "DELIVERY_ROOT", "FAMILY" ]
Nested Schema : oraCommonAppsInfraObjects.TaxonomyHierarchy_item-fields
Type: object
Show Source
Nested Schema : Taxonomy Hierarchy
Type: object
Title: Taxonomy Hierarchy
The taxonomy hierarchy represents relationships between taxonomy nodes.
Nested Schema : sourceNode
Match All
The taxonomy node list of values resource is used to query the taxonomy nodes.
Show Source
Nested Schema : targetNode
Match All
The taxonomy node list of values resource is used to query the taxonomy nodes.
Show Source
Nested Schema : Taxonomy Node
Type: object
Title: Taxonomy Node
The taxonomy node list of values resource is used to query the taxonomy nodes.
Nested Schema : $context
Type: object
Show Source
Nested Schema : Taxonomy Node
Type: object
Title: Taxonomy Node
The taxonomy node list of values resource is used to query the taxonomy nodes.
Nested Schema : Lookup Type
Type: object
Title: Lookup Type
The lookup type for the lookup property.
Back to Top

Examples

The following example shows how to get a service lookup property by submitting a GET request on the REST resource using cURL.

cURL Command

curl --location 'https://servername.fa.us2.oraclecloud.com/api/boss/data/objects/ora/cxServiceCore/common/v1/$en-US/serviceLookupProperties/ORA_SVC_CHANNEL_TYPE_CD%2CCUSTOMCHANNEL%2CINTERACTIVE' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer <token>'

Example of Response Body

The following shows the contents of the response body in JSON format.

{
  "id": "300100570059846",
  "propertyLookupType": "ORA_SVC_CHANNEL_TYPE_CD",
  "propertyLookupCode": "CUSTOMCHANNEL",
  "propertyName": "INTERACTIVE",
  "propertyValue": "Y",
  "$id": "ORA_SVC_CHANNEL_TYPE_CD,CUSTOMCHANNEL,INTERACTIVE",
  "$context": {
    "etag": "11"
  }
}
Back to Top